org.eclipse.jetty.io

## Class BufferCache.CachedBuffer

- java.lang.Object
- - org.eclipse.jetty.io.AbstractBuffer
  - - org.eclipse.jetty.io.ByteArrayBuffer
    - - org.eclipse.jetty.io.ByteArrayBuffer.CaseInsensitive
      - - org.eclipse.jetty.io.BufferCache.CachedBuffer

All Implemented Interfaces:
  Cloneable, Buffer, Buffer.CaseInsensitve

Enclosing class:
  BufferCache

    public static class BufferCache.CachedBuffer
    extends ByteArrayBuffer.CaseInsensitive

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.io.ByteArrayBuffer

`ByteArrayBuffer.CaseInsensitive`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.io.Buffer

`Buffer.CaseInsensitve`

### Field Summary

### Fields inherited from class org.eclipse.jetty.io.ByteArrayBuffer

`_bytes`

### Fields inherited from class org.eclipse.jetty.io.AbstractBuffer

`__IMMUTABLE, __READONLY, __READWRITE, __VOLATILE, _access, _get, _hash, _hashGet, _hashPut, _mark, _put, _string, _view, _volatile`

### Fields inherited from interface org.eclipse.jetty.io.Buffer

`IMMUTABLE, NON_VOLATILE, READONLY, READWRITE, VOLATILE`

### Constructor Summary

Constructors
Constructor and Description
`BufferCache.CachedBuffer(String value, int ordinal)`

### Method Summary

Methods
`BufferCache.CachedBuffer` `getAssociate(Object key)`
`int` `getOrdinal()`
`void` `setAssociate(Object key, BufferCache.CachedBuffer associate)`

### Methods inherited from class org.eclipse.jetty.io.ByteArrayBuffer.CaseInsensitive

`equals`

### Methods inherited from class org.eclipse.jetty.io.ByteArrayBuffer

`array, capacity, compact, equalsIgnoreCase, get, hashCode, peek, peek, poke, poke, poke, readFrom, space, writeTo`

### Methods inherited from class org.eclipse.jetty.io.AbstractBuffer

`asArray, asImmutableBuffer, asMutableBuffer, asNonVolatileBuffer, asReadOnlyBuffer, buffer, clear, duplicate, get, get, getIndex, hasContent, isImmutable, isReadOnly, isVolatile, length, mark, mark, markIndex, peek, peek, put, put, put, put, putIndex, reset, rewind, setGetIndex, setMarkIndex, setPutIndex, skip, slice, sliceFromMark, sliceFromMark, toDebugString, toDetailString, toString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BufferCache.CachedBuffer

    public BufferCache.CachedBuffer(String value,
                            int ordinal)

### Method Detail

#### getOrdinal

    public int getOrdinal()

#### getAssociate

    public BufferCache.CachedBuffer getAssociate(Object key)

#### setAssociate

    public void setAssociate(Object key,
                    BufferCache.CachedBuffer associate)